summaryrefslogtreecommitdiffstats
path: root/development/spice-protocol/spice-protocol.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/spice-protocol/spice-protocol.SlackBuild')
-rw-r--r--development/spice-protocol/spice-protocol.SlackBuild32
1 files changed, 24 insertions, 8 deletions
diff --git a/development/spice-protocol/spice-protocol.SlackBuild b/development/spice-protocol/spice-protocol.SlackBuild
index 1f7aa817c5..0cddd052cf 100644
--- a/development/spice-protocol/spice-protocol.SlackBuild
+++ b/development/spice-protocol/spice-protocol.SlackBuild
@@ -1,6 +1,7 @@
#!/bin/sh
# Slackware build script for spice-protocol
+
# Copyright 2013-2019 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# All rights reserved.
#
@@ -22,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=spice-protocol
-VERSION=${VERSION:-0.12.15}
+VERSION=${VERSION:-0.14.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,7 +34,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+DOCS="AUTHORS COPYING CHANGELOG.md README.md"
set -e
@@ -41,7 +42,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -50,11 +51,26 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-./configure \
- --prefix=/usr
-
-make
-make install DESTDIR=$PKG
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION